#ifndef OGC_H
#define OGC_H

#include <X11/Xlib.h>
#include <xclass/OXClient.h>
#include <xclass/OString.h>

class OGC {
public:
  OGC(OXClient * c, char * color);
  ~OGC();

  OGC * _next;
  GC _gc;
  XFontStruct * _font;

  const char * GetColor() {return(_color->GetString());}
protected:
  OString * _color;
};

#endif
